//
//  LWAT, LDAP Webbased Administration Tool
//  Copyright (C) 2007  Finn-Arne Johansen <faj@bzz.no> BzzWare AS, Norway
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//

//  ajaxRequest
//  Create an ajax object to communicate with serverside.
//  Sorry, need a lot of javascript here :( 
//  returns an object, or false
function ajaxRequest () {
    var request ; 
    try {
        request = new ActiveXObject ("Microsoft.XMLHTTP"); 
        //request = new ActiveXObject ("MSXML2.XMLHTTP.3.0"); 
    } catch (exception) {
        var noIExmlHTTP = true ;
    }
    if (noIExmlHTTP == true) {
        try {
            request = new XMLHttpRequest() ; 
        } catch (exception) {
            request = false ;
        }
    }
    return request ; 
}

// Create a new request
var ajax = ajaxRequest() ; 
var targetToUpdate ; 
var ajaxBusy ; 

// Action 
// Sends of an request, and sets up an handler to handle the response
function Action ($request, $target) {
    if (ajaxBusy) return ;
    if (! ajax) {
        alert ("Sorry, your browser is just to old :( ") ; 
        return ; 
    }
    targetToUpdate=$target
    try { ajax.abort; } catch (exception) {} 
    ajaxBusy = true ; 
    ajax.open ('post', 'admin.php'); 
    ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    ajax.onreadystatechange = handleAction;
    ajax.send('action=' + $request );
}

// handleAction
// test if things are ready, then 
//   show reponse
function handleAction() {
    if (ajax.readyState == 4) {
        var response = ajax.responseText;
        document.getElementById(targetToUpdate).innerHTML = response ; 
        ajaxBusy = false ;
    }
}

// function Save ($target,$request) {
//    if (! ajax) {
//        alert ("Sorry, your browser is just to old :( ") ; 
//        return ; 
//    }
//    try { ajax.abort; } catch (exception) {} 
//    if (! document.auth.admindn.value)
//        targetToUpdate = 'main' ;
//    else if (! document.auth.admindn.value) 
//        targetToUpdate = 'main' ;
//    else
//        targetToUpdate=$target;
//    ajax.open ('post', 'admin.php'); 
//    ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
//    ajax.onreadystatechange = handleAction;
//    ajax.send('action=' + $request );
//}

//function tryLogin ($request) {
//    if (! ajax) {
//        alert ("Sorry, your browser is just to old :( ") ; 
//        return ; 
//    }
//    try { ajax.abort; } catch (exception) {} 
//    document.auth.admindn.value = document.askauth.admindn.value ;
//    document.auth.adminpw.value = document.askauth.adminpw.value ;
//    document.getElementById('logout').innerHTML = '<a href="javascript:;" onclick="doLogout();">logout...</a>' ; 
//    targetToUpdate='main' ;
//    ajax.open ('post', 'admin.php'); 
//    ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
//    ajax.onreadystatechange = handleAction;
//    ajax.send('action=' + $request );
//}
//
//function doLogout () {
//    document.auth.admindn.value = "" ; 
//    document.auth.adminpw.value = "" ; 
//    document.getElementById('logout').innerHTML = "" ; 
//}
//
// search 
// Sends of an request, and sets up an handler to handle the response
//function Search ($request) {
//    if (! ajax) {
//        alert ("Sorry, your browser is just to old :( ") ; 
//        return ; 
//    }
//    targetToUpdate='Result';
//    try { ajax.abort; } catch (exception) {} 
//    ajax.open ('post', 'admin.php'); 
//    ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
//    ajax.onreadystatechange = handleResult;
//    ajax.send('action=search&searchFor=' + $request + '&text=' + document.search.searchFor.value );
//}
//
// handleResult
// test if things are ready, then 
//   show reponse
function handleResult() {
    if (ajax.readyState == 4) {
        var response = ajax.responseText;
        document.getElementById(targetToUpdate).innerHTML = response ; 
    }
}

//function newPW ($uid) {
//    var r=confirm ("I'm about to set a new password") ; 
//    if (r == true) {
//        try { ajax.abort; } catch (exception) {} 
//        ajax.open ('post', 'admin.php'); 
//        ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
//        ajax.onreadystatechange = handleNewPW;
//        ajax.send('action=newPW&uid=' + $uid);
//    }
//}

// handleResult
// test if things are ready, then 
//   show reponse
//function handleNewPW() {
//    if (ajax.readyState == 4) {
//        var response = ajax.responseText;
//        alert (response) ; 
//    }
//}
